Canvas5GraphInternal::SubDocument Class Reference documentation

Canvas5GraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a Canvas5Graph. More...

Inheritance diagram for Canvas5GraphInternal::SubDocument:

## Public Member Functions
| SubDocument (Canvas5Graph &parser, MWAWInputStreamPtr const &input, Shape const &shape, ShapeData const &data)
| constructor from a zoneId
| SubDocument (Canvas5Graph &parser, MWAWInputStreamPtr const &input, librevenge::RVNGString const &measure, MWAWFont const &font)
| constructor from string
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
Canvas5Graph & | m_graphParser
| the graph parser
Shape const * | m_shape
| the shape
ShapeData const * | m_data
| the shape data
librevenge::RVNGString | m_measure
| the measure
MWAWFont | m_font
| the font
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a Canvas5Graph.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

Canvas5GraphInternal::SubDocument::SubDocument | ( | Canvas5Graph & | parser,
|  | MWAWInputStreamPtr const & | input,
|  | Shape const & | shape,
|  | ShapeData const & | data )
| inline

constructor from a zoneId

Referenced by operator!=(), operator=(), and SubDocument().

## ◆ SubDocument() [2/3]

Canvas5GraphInternal::SubDocument::SubDocument | ( | Canvas5Graph & | parser,
|  | MWAWInputStreamPtr const & | input,
|  | librevenge::RVNGString const & | measure,
|  | MWAWFont const & | font )
| inline

constructor from string

## ◆ ~SubDocument()

Canvas5GraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

Canvas5GraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool Canvas5GraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| inlinefinalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument & Canvas5GraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| privatedelete

## ◆ parse()

void Canvas5GraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_data

ShapeData const* Canvas5GraphInternal::SubDocument::m_data
| protected

the shape data

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_font

MWAWFont Canvas5GraphInternal::SubDocument::m_font
| protected

the font

Referenced by parse(), SubDocument(), and SubDocument().

## ◆ m_graphParser

Canvas5Graph& Canvas5GraphInternal::SubDocument::m_graphParser
| protected

the graph parser

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_measure

librevenge::RVNGString Canvas5GraphInternal::SubDocument::m_measure
| protected

the measure

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_shape

Shape const* Canvas5GraphInternal::SubDocument::m_shape
| protected

the shape

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- Canvas5Graph.cxx